Index: /trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/model.cc	(revision 6032)
+++ /trunk/src/lib/graphics/importer/model.cc	(revision 6033)
@@ -17,4 +17,6 @@
 
 #include "model.h"
+
+#include "glincl.h"
 
 using namespace std;
@@ -45,2 +47,32 @@
   // delete what has to be deleted here
 }
+
+
+
+void Model::draw() const
+{
+  const GLfloat* pVertices = NULL;
+  const GLfloat* pNorm = NULL;
+  
+  glBegin(GL_TRIANGLES);
+  for( int i = 0; i < this->pModelInfo.numTriangles; ++i)
+    {
+      //printf("int i = %i\n", i);
+      pNorm = &this->pModelInfo.pNormals[this->pModelInfo.pTriangles[i].indexToNormals[0]];
+      pVertices = &this->pModelInfo.pVertices[this->pModelInfo.pTriangles[i].indexToVertices[0]];
+      glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
+      glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
+      
+      pNorm = &this->pModelInfo.pNormals[this->pModelInfo.pTriangles[i].indexToNormals[1]];
+      pVertices = &this->pModelInfo.pVertices[this->pModelInfo.pTriangles[i].indexToVertices[1]];
+      glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
+      glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
+      
+      pNorm = &this->pModelInfo.pNormals[this->pModelInfo.pTriangles[i].indexToNormals[2]];
+      pVertices = &this->pModelInfo.pVertices[this->pModelInfo.pTriangles[i].indexToVertices[2]];
+      glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
+      glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
+      
+    }
+  glEnd();
+}
Index: /trunk/src/lib/graphics/importer/model.h
===================================================================
--- /trunk/src/lib/graphics/importer/model.h	(revision 6032)
+++ /trunk/src/lib/graphics/importer/model.h	(revision 6033)
@@ -132,5 +132,5 @@
     virtual ~Model();
 
-    virtual void draw() const {  }
+    virtual void draw() const;
 
     inline const modelInfo* getModelInfo() const { return &this->pModelInfo; }
Index: /trunk/src/lib/graphics/importer/static_model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/static_model.cc	(revision 6032)
+++ /trunk/src/lib/graphics/importer/static_model.cc	(revision 6033)
@@ -220,7 +220,8 @@
 //////////
 /**
- *  Draws the Models of all Groups.
-   It does this by just calling the Lists that must have been created earlier.
-*/
+ * @brief Draws the Models of all Groups.
+ *
+ * It does this by just calling the Lists that must have been created earlier.
+ */
 void StaticModel::draw () const
 {
@@ -233,31 +234,4 @@
       tmpGroup = tmpGroup->next;
     }
-
-  /*
-    const GLfloat* pVertices = NULL;
-    const GLfloat* pNorm = NULL;
-    
-    glBegin(GL_TRIANGLES);
-    for( int i = 0; i < this->triangleCount; ++i)
-    {
-    //printf("int i = %i\n", i);
-    pNorm = &this->normals->getArray()[this->triangles[i].indexToNormals[0]];
-    pVertices = &this->vertices->getArray()[this->triangles[i].indexToVertices[0]];
-    glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
-    glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
-
-    pNorm = &this->normals->getArray()[this->triangles[i].indexToNormals[1]];
-    pVertices = &this->vertices->getArray()[this->triangles[i].indexToVertices[1]];
-    glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
-    glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
-
-    pNorm = &this->normals->getArray()[this->triangles[i].indexToNormals[2]];
-    pVertices = &this->vertices->getArray()[this->triangles[i].indexToVertices[2]];
-    glNormal3f(pNorm[0], pNorm[1], pNorm[2]);
-    glVertex3f(pVertices[0], pVertices[1], pVertices[2]);
-
-    }
-    glEnd();
-  */
 }
 
Index: /trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /trunk/src/world_entities/space_ships/space_ship.cc	(revision 6032)
+++ /trunk/src/world_entities/space_ships/space_ship.cc	(revision 6033)
@@ -111,5 +111,5 @@
   PRINTF(4)("SPACESHIP INIT\n");
 
-  EventHandler::getInstance()->grabEvents(true);
+  EventHandler::getInstance()->grabEvents(false);
 
   bUp = bDown = bLeft = bRight = bAscend = bDescend = bRollL = bRollR = false;
